Package com.sap.ai.sdk.orchestration.model

# Class OutputFilteringConfig

java.lang.Object
com.sap.ai.sdk.orchestration.model.OutputFilteringConfig

public class OutputFilteringConfig extends Object
OutputFilteringConfig

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `OutputFilteringConfig.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `OutputFilteringConfig()`
  Default constructor for OutputFilteringConfig.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OutputFilteringConfig`
  `addFiltersItem(OutputFilterConfig filtersItem)`
  Add one filters instance to this `OutputFilteringConfig`.
  `static OutputFilteringConfig.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `OutputFilteringConfig` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `OutputFilteringConfig`
  `filters(List<OutputFilterConfig> filters)`
  Set the filters of this `OutputFilteringConfig` instance and return the same instance.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `OutputFilteringConfig`.
  `List<OutputFilterConfig>`
  `getFilters()`
  Configuration for content filtering services that should be used for the given filtering step (output filtering).
  `FilteringStreamOptions`
  `getStreamOptions()`
  Get streamOptions
  `int`
  `hashCode()`
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `OutputFilteringConfig` instance.
  `void`
  `setFilters(List<OutputFilterConfig> filters)`
  Set the filters of this `OutputFilteringConfig` instance.
  `void`
  `setStreamOptions(FilteringStreamOptions streamOptions)`
  Set the streamOptions of this `OutputFilteringConfig` instance.
  `OutputFilteringConfig`
  `streamOptions(FilteringStreamOptions streamOptions)`
  Set the streamOptions of this `OutputFilteringConfig` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `OutputFilteringConfig` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OutputFilteringConfig

    protected OutputFilteringConfig()
    Default constructor for OutputFilteringConfig.

- ## Method Details

  - ### filters

    @Nonnull public OutputFilteringConfig filters(@Nonnull List<OutputFilterConfig> filters)
    Set the filters of this `OutputFilteringConfig` instance and return the same instance.
    Parameters:
      `filters` - Configuration for content filtering services that should be used for the given filtering step (output filtering).
    Returns:
      The same instance of this `OutputFilteringConfig` class

  - ### addFiltersItem

    @Nonnull public OutputFilteringConfig addFiltersItem(@Nonnull OutputFilterConfig filtersItem)
    Add one filters instance to this `OutputFilteringConfig`.
    Parameters:
      `filtersItem` - The filters that should be added
    Returns:
      The same instance of type `OutputFilteringConfig`

  - ### getFilters

    @Nonnull public List<OutputFilterConfig> getFilters()
    Configuration for content filtering services that should be used for the given filtering step (output filtering).
    Returns:
      filters The filters of this `OutputFilteringConfig` instance.

  - ### setFilters

    public void setFilters(@Nonnull List<OutputFilterConfig> filters)
    Set the filters of this `OutputFilteringConfig` instance.
    Parameters:
      `filters` - Configuration for content filtering services that should be used for the given filtering step (output filtering).

  - ### streamOptions

    @Nonnull public OutputFilteringConfig streamOptions(@Nullable FilteringStreamOptions streamOptions)
    Set the streamOptions of this `OutputFilteringConfig` instance and return the same instance.
    Parameters:
      `streamOptions` - The streamOptions of this `OutputFilteringConfig`
    Returns:
      The same instance of this `OutputFilteringConfig` class

  - ### getStreamOptions

    @Nonnull public FilteringStreamOptions getStreamOptions()
    Get streamOptions
    Returns:
      streamOptions The streamOptions of this `OutputFilteringConfig` instance.

  - ### setStreamOptions

    public void setStreamOptions(@Nullable FilteringStreamOptions streamOptions)
    Set the streamOptions of this `OutputFilteringConfig` instance.
    Parameters:
      `streamOptions` - The streamOptions of this `OutputFilteringConfig`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `OutputFilteringConfig`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `OutputFilteringConfig` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `OutputFilteringConfig` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `OutputFilteringConfig` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static OutputFilteringConfig.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `OutputFilteringConfig` instance with all required arguments.